Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/20
Addresses2^108
/64 networks2^44
Network
fc08:c000::/20
First address
fc08:c000::
Last address
fc08:cfff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
324,518,553,658,426,726,783,156,020,576,256 (2^108)
/64 networks (LANs)
17,592,186,044,416 (2^44)
Full form
fc08:c000:0000:0000:0000:0000:0000:0000
Type
Unique local (ULA) fc00::/7
Private IPv6, like RFC 1918; usually fd00::/8
Reverse DNS zone
c.8.0.c.f.ip6.arpa
Split into smaller subnets/28

fc08:c000::/20 makes 256 subnets of /28.

Subnets
#SubnetLast address
1fc08:c000::/28fc08:c00f:ffff:ffff:ffff:ffff:ffff:ffff
2fc08:c010::/28fc08:c01f:ffff:ffff:ffff:ffff:ffff:ffff
3fc08:c020::/28fc08:c02f:ffff:ffff:ffff:ffff:ffff:ffff
4fc08:c030::/28fc08:c03f:ffff:ffff:ffff:ffff:ffff:ffff
5fc08:c040::/28fc08:c04f:ffff:ffff:ffff:ffff:ffff:ffff
6fc08:c050::/28fc08:c05f:ffff:ffff:ffff:ffff:ffff:ffff
7fc08:c060::/28fc08:c06f:ffff:ffff:ffff:ffff:ffff:ffff
8fc08:c070::/28fc08:c07f:ffff:ffff:ffff:ffff:ffff:ffff
9fc08:c080::/28fc08:c08f:ffff:ffff:ffff:ffff:ffff:ffff
10fc08:c090::/28fc08:c09f:ffff:ffff:ffff:ffff:ffff:ffff
11fc08:c0a0::/28fc08:c0af:ffff:ffff:ffff:ffff:ffff:ffff
12fc08:c0b0::/28fc08:c0bf:ffff:ffff:ffff:ffff:ffff:ffff
13fc08:c0c0::/28fc08:c0cf:ffff:ffff:ffff:ffff:ffff:ffff
14fc08:c0d0::/28fc08:c0df:ffff:ffff:ffff:ffff:ffff:ffff
15fc08:c0e0::/28fc08:c0ef:ffff:ffff:ffff:ffff:ffff:ffff
16fc08:c0f0::/28fc08:c0ff:ffff:ffff:ffff:ffff:ffff:ffff
17fc08:c100::/28fc08:c10f:ffff:ffff:ffff:ffff:ffff:ffff
18fc08:c110::/28fc08:c11f:ffff:ffff:ffff:ffff:ffff:ffff
19fc08:c120::/28fc08:c12f:ffff:ffff:ffff:ffff:ffff:ffff
20fc08:c130::/28fc08:c13f:ffff:ffff:ffff:ffff:ffff:ffff
21fc08:c140::/28fc08:c14f:ffff:ffff:ffff:ffff:ffff:ffff
22fc08:c150::/28fc08:c15f:ffff:ffff:ffff:ffff:ffff:ffff
23fc08:c160::/28fc08:c16f:ffff:ffff:ffff:ffff:ffff:ffff
24fc08:c170::/28fc08:c17f:ffff:ffff:ffff:ffff:ffff:ffff
25fc08:c180::/28fc08:c18f:ffff:ffff:ffff:ffff:ffff:ffff
26fc08:c190::/28fc08:c19f:ffff:ffff:ffff:ffff:ffff:ffff
27fc08:c1a0::/28fc08:c1af:ffff:ffff:ffff:ffff:ffff:ffff
28fc08:c1b0::/28fc08:c1bf:ffff:ffff:ffff:ffff:ffff:ffff
29fc08:c1c0::/28fc08:c1cf:ffff:ffff:ffff:ffff:ffff:ffff
30fc08:c1d0::/28fc08:c1df:ffff:ffff:ffff:ffff:ffff:ffff
31fc08:c1e0::/28fc08:c1ef:ffff:ffff:ffff:ffff:ffff:ffff
32fc08:c1f0::/28fc08:c1ff:ffff:ffff:ffff:ffff:ffff:ffff
33fc08:c200::/28fc08:c20f:ffff:ffff:ffff:ffff:ffff:ffff
34fc08:c210::/28fc08:c21f:ffff:ffff:ffff:ffff:ffff:ffff
35fc08:c220::/28fc08:c22f:ffff:ffff:ffff:ffff:ffff:ffff
36fc08:c230::/28fc08:c23f:ffff:ffff:ffff:ffff:ffff:ffff
37fc08:c240::/28fc08:c24f:ffff:ffff:ffff:ffff:ffff:ffff
38fc08:c250::/28fc08:c25f:ffff:ffff:ffff:ffff:ffff:ffff
39fc08:c260::/28fc08:c26f:ffff:ffff:ffff:ffff:ffff:ffff
40fc08:c270::/28fc08:c27f:ffff:ffff:ffff:ffff:ffff:ffff
41fc08:c280::/28fc08:c28f:ffff:ffff:ffff:ffff:ffff:ffff
42fc08:c290::/28fc08:c29f:ffff:ffff:ffff:ffff:ffff:ffff
43fc08:c2a0::/28fc08:c2af:ffff:ffff:ffff:ffff:ffff:ffff
44fc08:c2b0::/28fc08:c2bf:ffff:ffff:ffff:ffff:ffff:ffff
45fc08:c2c0::/28fc08:c2cf:ffff:ffff:ffff:ffff:ffff:ffff
46fc08:c2d0::/28fc08:c2df:ffff:ffff:ffff:ffff:ffff:ffff
47fc08:c2e0::/28fc08:c2ef:ffff:ffff:ffff:ffff:ffff:ffff
48fc08:c2f0::/28fc08:c2ff:ffff:ffff:ffff:ffff:ffff:ffff
49fc08:c300::/28fc08:c30f:ffff:ffff:ffff:ffff:ffff:ffff
50fc08:c310::/28fc08:c31f:ffff:ffff:ffff:ffff:ffff:ffff
51fc08:c320::/28fc08:c32f:ffff:ffff:ffff:ffff:ffff:ffff
52fc08:c330::/28fc08:c33f:ffff:ffff:ffff:ffff:ffff:ffff
53fc08:c340::/28fc08:c34f:ffff:ffff:ffff:ffff:ffff:ffff
54fc08:c350::/28fc08:c35f:ffff:ffff:ffff:ffff:ffff:ffff
55fc08:c360::/28fc08:c36f:ffff:ffff:ffff:ffff:ffff:ffff
56fc08:c370::/28fc08:c37f:ffff:ffff:ffff:ffff:ffff:ffff
57fc08:c380::/28fc08:c38f:ffff:ffff:ffff:ffff:ffff:ffff
58fc08:c390::/28fc08:c39f:ffff:ffff:ffff:ffff:ffff:ffff
59fc08:c3a0::/28fc08:c3af:ffff:ffff:ffff:ffff:ffff:ffff
60fc08:c3b0::/28fc08:c3bf:ffff:ffff:ffff:ffff:ffff:ffff
61fc08:c3c0::/28fc08:c3cf:ffff:ffff:ffff:ffff:ffff:ffff
62fc08:c3d0::/28fc08:c3df:ffff:ffff:ffff:ffff:ffff:ffff
63fc08:c3e0::/28fc08:c3ef:ffff:ffff:ffff:ffff:ffff:ffff
64fc08:c3f0::/28fc08:c3ff:ffff:ffff:ffff:ffff:ffff:ffff
65fc08:c400::/28fc08:c40f:ffff:ffff:ffff:ffff:ffff:ffff
66fc08:c410::/28fc08:c41f:ffff:ffff:ffff:ffff:ffff:ffff
67fc08:c420::/28fc08:c42f:ffff:ffff:ffff:ffff:ffff:ffff
68fc08:c430::/28fc08:c43f:ffff:ffff:ffff:ffff:ffff:ffff
69fc08:c440::/28fc08:c44f:ffff:ffff:ffff:ffff:ffff:ffff
70fc08:c450::/28fc08:c45f:ffff:ffff:ffff:ffff:ffff:ffff
71fc08:c460::/28fc08:c46f:ffff:ffff:ffff:ffff:ffff:ffff
72fc08:c470::/28fc08:c47f:ffff:ffff:ffff:ffff:ffff:ffff
73fc08:c480::/28fc08:c48f:ffff:ffff:ffff:ffff:ffff:ffff
74fc08:c490::/28fc08:c49f:ffff:ffff:ffff:ffff:ffff:ffff
75fc08:c4a0::/28fc08:c4af:ffff:ffff:ffff:ffff:ffff:ffff
76fc08:c4b0::/28fc08:c4bf:ffff:ffff:ffff:ffff:ffff:ffff
77fc08:c4c0::/28fc08:c4cf:ffff:ffff:ffff:ffff:ffff:ffff
78fc08:c4d0::/28fc08:c4df:ffff:ffff:ffff:ffff:ffff:ffff
79fc08:c4e0::/28fc08:c4ef:ffff:ffff:ffff:ffff:ffff:ffff
80fc08:c4f0::/28fc08:c4ff:ffff:ffff:ffff:ffff:ffff:ffff
81fc08:c500::/28fc08:c50f:ffff:ffff:ffff:ffff:ffff:ffff
82fc08:c510::/28fc08:c51f:ffff:ffff:ffff:ffff:ffff:ffff
83fc08:c520::/28fc08:c52f:ffff:ffff:ffff:ffff:ffff:ffff
84fc08:c530::/28fc08:c53f:ffff:ffff:ffff:ffff:ffff:ffff
85fc08:c540::/28fc08:c54f:ffff:ffff:ffff:ffff:ffff:ffff
86fc08:c550::/28fc08:c55f:ffff:ffff:ffff:ffff:ffff:ffff
87fc08:c560::/28fc08:c56f:ffff:ffff:ffff:ffff:ffff:ffff
88fc08:c570::/28fc08:c57f:ffff:ffff:ffff:ffff:ffff:ffff
89fc08:c580::/28fc08:c58f:ffff:ffff:ffff:ffff:ffff:ffff
90fc08:c590::/28fc08:c59f:ffff:ffff:ffff:ffff:ffff:ffff
91fc08:c5a0::/28fc08:c5af:ffff:ffff:ffff:ffff:ffff:ffff
92fc08:c5b0::/28fc08:c5bf:ffff:ffff:ffff:ffff:ffff:ffff
93fc08:c5c0::/28fc08:c5cf:ffff:ffff:ffff:ffff:ffff:ffff
94fc08:c5d0::/28fc08:c5df:ffff:ffff:ffff:ffff:ffff:ffff
95fc08:c5e0::/28fc08:c5ef:ffff:ffff:ffff:ffff:ffff:ffff
96fc08:c5f0::/28fc08:c5ff:ffff:ffff:ffff:ffff:ffff:ffff
97fc08:c600::/28fc08:c60f:ffff:ffff:ffff:ffff:ffff:ffff
98fc08:c610::/28fc08:c61f:ffff:ffff:ffff:ffff:ffff:ffff
99fc08:c620::/28fc08:c62f:ffff:ffff:ffff:ffff:ffff:ffff
100fc08:c630::/28fc08:c63f:ffff:ffff:ffff:ffff:ffff:ffff
101fc08:c640::/28fc08:c64f:ffff:ffff:ffff:ffff:ffff:ffff
102fc08:c650::/28fc08:c65f:ffff:ffff:ffff:ffff:ffff:ffff
103fc08:c660::/28fc08:c66f:ffff:ffff:ffff:ffff:ffff:ffff
104fc08:c670::/28fc08:c67f:ffff:ffff:ffff:ffff:ffff:ffff
105fc08:c680::/28fc08:c68f:ffff:ffff:ffff:ffff:ffff:ffff
106fc08:c690::/28fc08:c69f:ffff:ffff:ffff:ffff:ffff:ffff
107fc08:c6a0::/28fc08:c6af:ffff:ffff:ffff:ffff:ffff:ffff
108fc08:c6b0::/28fc08:c6bf:ffff:ffff:ffff:ffff:ffff:ffff
109fc08:c6c0::/28fc08:c6cf:ffff:ffff:ffff:ffff:ffff:ffff
110fc08:c6d0::/28fc08:c6df:ffff:ffff:ffff:ffff:ffff:ffff
111fc08:c6e0::/28fc08:c6ef:ffff:ffff:ffff:ffff:ffff:ffff
112fc08:c6f0::/28fc08:c6ff:ffff:ffff:ffff:ffff:ffff:ffff
113fc08:c700::/28fc08:c70f:ffff:ffff:ffff:ffff:ffff:ffff
114fc08:c710::/28fc08:c71f:ffff:ffff:ffff:ffff:ffff:ffff
115fc08:c720::/28fc08:c72f:ffff:ffff:ffff:ffff:ffff:ffff
116fc08:c730::/28fc08:c73f:ffff:ffff:ffff:ffff:ffff:ffff
117fc08:c740::/28fc08:c74f:ffff:ffff:ffff:ffff:ffff:ffff
118fc08:c750::/28fc08:c75f:ffff:ffff:ffff:ffff:ffff:ffff
119fc08:c760::/28fc08:c76f:ffff:ffff:ffff:ffff:ffff:ffff
120fc08:c770::/28fc08:c77f:ffff:ffff:ffff:ffff:ffff:ffff
121fc08:c780::/28fc08:c78f:ffff:ffff:ffff:ffff:ffff:ffff
122fc08:c790::/28fc08:c79f:ffff:ffff:ffff:ffff:ffff:ffff
123fc08:c7a0::/28fc08:c7af:ffff:ffff:ffff:ffff:ffff:ffff
124fc08:c7b0::/28fc08:c7bf:ffff:ffff:ffff:ffff:ffff:ffff
125fc08:c7c0::/28fc08:c7cf:ffff:ffff:ffff:ffff:ffff:ffff
126fc08:c7d0::/28fc08:c7df:ffff:ffff:ffff:ffff:ffff:ffff
127fc08:c7e0::/28fc08:c7ef:ffff:ffff:ffff:ffff:ffff:ffff
128fc08:c7f0::/28fc08:c7ff:ffff:ffff:ffff:ffff:ffff:ffff
129fc08:c800::/28fc08:c80f:ffff:ffff:ffff:ffff:ffff:ffff
130fc08:c810::/28fc08:c81f:ffff:ffff:ffff:ffff:ffff:ffff
131fc08:c820::/28fc08:c82f:ffff:ffff:ffff:ffff:ffff:ffff
132fc08:c830::/28fc08:c83f:ffff:ffff:ffff:ffff:ffff:ffff
133fc08:c840::/28fc08:c84f:ffff:ffff:ffff:ffff:ffff:ffff
134fc08:c850::/28fc08:c85f:ffff:ffff:ffff:ffff:ffff:ffff
135fc08:c860::/28fc08:c86f:ffff:ffff:ffff:ffff:ffff:ffff
136fc08:c870::/28fc08:c87f:ffff:ffff:ffff:ffff:ffff:ffff
137fc08:c880::/28fc08:c88f:ffff:ffff:ffff:ffff:ffff:ffff
138fc08:c890::/28fc08:c89f:ffff:ffff:ffff:ffff:ffff:ffff
139fc08:c8a0::/28fc08:c8af:ffff:ffff:ffff:ffff:ffff:ffff
140fc08:c8b0::/28fc08:c8bf:ffff:ffff:ffff:ffff:ffff:ffff
141fc08:c8c0::/28fc08:c8cf:ffff:ffff:ffff:ffff:ffff:ffff
142fc08:c8d0::/28fc08:c8df:ffff:ffff:ffff:ffff:ffff:ffff
143fc08:c8e0::/28fc08:c8ef:ffff:ffff:ffff:ffff:ffff:ffff
144fc08:c8f0::/28fc08:c8ff:ffff:ffff:ffff:ffff:ffff:ffff
145fc08:c900::/28fc08:c90f:ffff:ffff:ffff:ffff:ffff:ffff
146fc08:c910::/28fc08:c91f:ffff:ffff:ffff:ffff:ffff:ffff
147fc08:c920::/28fc08:c92f:ffff:ffff:ffff:ffff:ffff:ffff
148fc08:c930::/28fc08:c93f:ffff:ffff:ffff:ffff:ffff:ffff
149fc08:c940::/28fc08:c94f:ffff:ffff:ffff:ffff:ffff:ffff
150fc08:c950::/28fc08:c95f:ffff:ffff:ffff:ffff:ffff:ffff
151fc08:c960::/28fc08:c96f:ffff:ffff:ffff:ffff:ffff:ffff
152fc08:c970::/28fc08:c97f:ffff:ffff:ffff:ffff:ffff:ffff
153fc08:c980::/28fc08:c98f:ffff:ffff:ffff:ffff:ffff:ffff
154fc08:c990::/28fc08:c99f:ffff:ffff:ffff:ffff:ffff:ffff
155fc08:c9a0::/28fc08:c9af:ffff:ffff:ffff:ffff:ffff:ffff
156fc08:c9b0::/28fc08:c9bf:ffff:ffff:ffff:ffff:ffff:ffff
157fc08:c9c0::/28fc08:c9cf:ffff:ffff:ffff:ffff:ffff:ffff
158fc08:c9d0::/28fc08:c9df:ffff:ffff:ffff:ffff:ffff:ffff
159fc08:c9e0::/28fc08:c9ef:ffff:ffff:ffff:ffff:ffff:ffff
160fc08:c9f0::/28fc08:c9ff:ffff:ffff:ffff:ffff:ffff:ffff
161fc08:ca00::/28fc08:ca0f:ffff:ffff:ffff:ffff:ffff:ffff
162fc08:ca10::/28fc08:ca1f:ffff:ffff:ffff:ffff:ffff:ffff
163fc08:ca20::/28fc08:ca2f:ffff:ffff:ffff:ffff:ffff:ffff
164fc08:ca30::/28fc08:ca3f:ffff:ffff:ffff:ffff:ffff:ffff
165fc08:ca40::/28fc08:ca4f:ffff:ffff:ffff:ffff:ffff:ffff
166fc08:ca50::/28fc08:ca5f:ffff:ffff:ffff:ffff:ffff:ffff
167fc08:ca60::/28fc08:ca6f:ffff:ffff:ffff:ffff:ffff:ffff
168fc08:ca70::/28fc08:ca7f:ffff:ffff:ffff:ffff:ffff:ffff
169fc08:ca80::/28fc08:ca8f:ffff:ffff:ffff:ffff:ffff:ffff
170fc08:ca90::/28fc08:ca9f:ffff:ffff:ffff:ffff:ffff:ffff
171fc08:caa0::/28fc08:caaf:ffff:ffff:ffff:ffff:ffff:ffff
172fc08:cab0::/28fc08:cabf:ffff:ffff:ffff:ffff:ffff:ffff
173fc08:cac0::/28fc08:cacf:ffff:ffff:ffff:ffff:ffff:ffff
174fc08:cad0::/28fc08:cadf:ffff:ffff:ffff:ffff:ffff:ffff
175fc08:cae0::/28fc08:caef:ffff:ffff:ffff:ffff:ffff:ffff
176fc08:caf0::/28fc08:caff:ffff:ffff:ffff:ffff:ffff:ffff
177fc08:cb00::/28fc08:cb0f:ffff:ffff:ffff:ffff:ffff:ffff
178fc08:cb10::/28fc08:cb1f:ffff:ffff:ffff:ffff:ffff:ffff
179fc08:cb20::/28fc08:cb2f:ffff:ffff:ffff:ffff:ffff:ffff
180fc08:cb30::/28fc08:cb3f:ffff:ffff:ffff:ffff:ffff:ffff
181fc08:cb40::/28fc08:cb4f:ffff:ffff:ffff:ffff:ffff:ffff
182fc08:cb50::/28fc08:cb5f:ffff:ffff:ffff:ffff:ffff:ffff
183fc08:cb60::/28fc08:cb6f:ffff:ffff:ffff:ffff:ffff:ffff
184fc08:cb70::/28fc08:cb7f:ffff:ffff:ffff:ffff:ffff:ffff
185fc08:cb80::/28fc08:cb8f:ffff:ffff:ffff:ffff:ffff:ffff
186fc08:cb90::/28fc08:cb9f:ffff:ffff:ffff:ffff:ffff:ffff
187fc08:cba0::/28fc08:cbaf:ffff:ffff:ffff:ffff:ffff:ffff
188fc08:cbb0::/28fc08:cbbf:ffff:ffff:ffff:ffff:ffff:ffff
189fc08:cbc0::/28fc08:cbcf:ffff:ffff:ffff:ffff:ffff:ffff
190fc08:cbd0::/28fc08:cbdf:ffff:ffff:ffff:ffff:ffff:ffff
191fc08:cbe0::/28fc08:cbef:ffff:ffff:ffff:ffff:ffff:ffff
192fc08:cbf0::/28fc08:cbff:ffff:ffff:ffff:ffff:ffff:ffff
193fc08:cc00::/28fc08:cc0f:ffff:ffff:ffff:ffff:ffff:ffff
194fc08:cc10::/28fc08:cc1f:ffff:ffff:ffff:ffff:ffff:ffff
195fc08:cc20::/28fc08:cc2f:ffff:ffff:ffff:ffff:ffff:ffff
196fc08:cc30::/28fc08:cc3f:ffff:ffff:ffff:ffff:ffff:ffff
197fc08:cc40::/28fc08:cc4f:ffff:ffff:ffff:ffff:ffff:ffff
198fc08:cc50::/28fc08:cc5f:ffff:ffff:ffff:ffff:ffff:ffff
199fc08:cc60::/28fc08:cc6f:ffff:ffff:ffff:ffff:ffff:ffff
200fc08:cc70::/28fc08:cc7f:ffff:ffff:ffff:ffff:ffff:ffff
201fc08:cc80::/28fc08:cc8f:ffff:ffff:ffff:ffff:ffff:ffff
202fc08:cc90::/28fc08:cc9f:ffff:ffff:ffff:ffff:ffff:ffff
203fc08:cca0::/28fc08:ccaf:ffff:ffff:ffff:ffff:ffff:ffff
204fc08:ccb0::/28fc08:ccbf:ffff:ffff:ffff:ffff:ffff:ffff
205fc08:ccc0::/28fc08:cccf:ffff:ffff:ffff:ffff:ffff:ffff
206fc08:ccd0::/28fc08:ccdf:ffff:ffff:ffff:ffff:ffff:ffff
207fc08:cce0::/28fc08:ccef:ffff:ffff:ffff:ffff:ffff:ffff
208fc08:ccf0::/28fc08:ccff:ffff:ffff:ffff:ffff:ffff:ffff
209fc08:cd00::/28fc08:cd0f:ffff:ffff:ffff:ffff:ffff:ffff
210fc08:cd10::/28fc08:cd1f:ffff:ffff:ffff:ffff:ffff:ffff
211fc08:cd20::/28fc08:cd2f:ffff:ffff:ffff:ffff:ffff:ffff
212fc08:cd30::/28fc08:cd3f:ffff:ffff:ffff:ffff:ffff:ffff
213fc08:cd40::/28fc08:cd4f:ffff:ffff:ffff:ffff:ffff:ffff
214fc08:cd50::/28fc08:cd5f:ffff:ffff:ffff:ffff:ffff:ffff
215fc08:cd60::/28fc08:cd6f:ffff:ffff:ffff:ffff:ffff:ffff
216fc08:cd70::/28fc08:cd7f:ffff:ffff:ffff:ffff:ffff:ffff
217fc08:cd80::/28fc08:cd8f:ffff:ffff:ffff:ffff:ffff:ffff
218fc08:cd90::/28fc08:cd9f:ffff:ffff:ffff:ffff:ffff:ffff
219fc08:cda0::/28fc08:cdaf:ffff:ffff:ffff:ffff:ffff:ffff
220fc08:cdb0::/28fc08:cdbf:ffff:ffff:ffff:ffff:ffff:ffff
221fc08:cdc0::/28fc08:cdcf:ffff:ffff:ffff:ffff:ffff:ffff
222fc08:cdd0::/28fc08:cddf:ffff:ffff:ffff:ffff:ffff:ffff
223fc08:cde0::/28fc08:cdef:ffff:ffff:ffff:ffff:ffff:ffff
224fc08:cdf0::/28fc08:cdff:ffff:ffff:ffff:ffff:ffff:ffff
225fc08:ce00::/28fc08:ce0f:ffff:ffff:ffff:ffff:ffff:ffff
226fc08:ce10::/28fc08:ce1f:ffff:ffff:ffff:ffff:ffff:ffff
227fc08:ce20::/28fc08:ce2f:ffff:ffff:ffff:ffff:ffff:ffff
228fc08:ce30::/28fc08:ce3f:ffff:ffff:ffff:ffff:ffff:ffff
229fc08:ce40::/28fc08:ce4f:ffff:ffff:ffff:ffff:ffff:ffff
230fc08:ce50::/28fc08:ce5f:ffff:ffff:ffff:ffff:ffff:ffff
231fc08:ce60::/28fc08:ce6f:ffff:ffff:ffff:ffff:ffff:ffff
232fc08:ce70::/28fc08:ce7f:ffff:ffff:ffff:ffff:ffff:ffff
233fc08:ce80::/28fc08:ce8f:ffff:ffff:ffff:ffff:ffff:ffff
234fc08:ce90::/28fc08:ce9f:ffff:ffff:ffff:ffff:ffff:ffff
235fc08:cea0::/28fc08:ceaf:ffff:ffff:ffff:ffff:ffff:ffff
236fc08:ceb0::/28fc08:cebf:ffff:ffff:ffff:ffff:ffff:ffff
237fc08:cec0::/28fc08:cecf:ffff:ffff:ffff:ffff:ffff:ffff
238fc08:ced0::/28fc08:cedf:ffff:ffff:ffff:ffff:ffff:ffff
239fc08:cee0::/28fc08:ceef:ffff:ffff:ffff:ffff:ffff:ffff
240fc08:cef0::/28fc08:ceff:ffff:ffff:ffff:ffff:ffff:ffff
241fc08:cf00::/28fc08:cf0f:ffff:ffff:ffff:ffff:ffff:ffff
242fc08:cf10::/28fc08:cf1f:ffff:ffff:ffff:ffff:ffff:ffff
243fc08:cf20::/28fc08:cf2f:ffff:ffff:ffff:ffff:ffff:ffff
244fc08:cf30::/28fc08:cf3f:ffff:ffff:ffff:ffff:ffff:ffff
245fc08:cf40::/28fc08:cf4f:ffff:ffff:ffff:ffff:ffff:ffff
246fc08:cf50::/28fc08:cf5f:ffff:ffff:ffff:ffff:ffff:ffff
247fc08:cf60::/28fc08:cf6f:ffff:ffff:ffff:ffff:ffff:ffff
248fc08:cf70::/28fc08:cf7f:ffff:ffff:ffff:ffff:ffff:ffff
249fc08:cf80::/28fc08:cf8f:ffff:ffff:ffff:ffff:ffff:ffff
250fc08:cf90::/28fc08:cf9f:ffff:ffff:ffff:ffff:ffff:ffff
251fc08:cfa0::/28fc08:cfaf:ffff:ffff:ffff:ffff:ffff:ffff
252fc08:cfb0::/28fc08:cfbf:ffff:ffff:ffff:ffff:ffff:ffff
253fc08:cfc0::/28fc08:cfcf:ffff:ffff:ffff:ffff:ffff:ffff
254fc08:cfd0::/28fc08:cfdf:ffff:ffff:ffff:ffff:ffff:ffff
255fc08:cfe0::/28fc08:cfef:ffff:ffff:ffff:ffff:ffff:ffff
256fc08:cff0::/28fc08:cfff:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses